package jp.ac.nii.icpc2010.players;

import jp.ac.nii.icpc2010.players.RandomPlayer;
import jp.ac.nii.icpc2010.playfield.IPlayField;
import jp.ac.nii.icpc2010.playfield.FieldDirection;

/**
 * Created by IntelliJ IDEA.
 * User: Mohammad
 * Date: Jun 14, 2010
 * Time: 4:52:09 PM
 * To change this template use File | Settings | File Templates.
 */
public class MemoryHog extends RandomPlayer{
    public MemoryHog(int id, IPlayField playField) {
        super(id, playField);
    }
    char[][] list = new char[200000][];
    int i = 0;
    
    @Override
    public FieldDirection getInput() {
    	int j = 0;
        while (j < 30) {
        	j++;
            list[i++] = new char[100000];
           
        }
        return super.getInput();
    }
}
